Documentation Center

Fetch a Global Configuration Item

Fetches a single global configuration item.

Request

URI: /v2/config/{item_name}

HTTP Method: GET

Header params:
  • Accept: [application/json] OR [application/xml]
  • Content-Type: [application/json] OR [application/xml]
PATH Parameter(s):
  • item_name: The name of the global configuration item to fetch.

Response

Success
  • XML: <configitem name="app.example" value="example value"/>
  • JSON: {"name":"app.example", "value":"example value"}
Failed
  • XML: <result statusCode="404" status="FAIL" messageKey="msg.missingresource" message="Unable to locate the requested resource."/>
  • JSON: {"statusCode":404,"messageKey":"msg.missingresource", "message":"Unable to locate the requested resource.", "status":"FAIL", "info":[]}

Permissions

"Use application"

Example

Request:

GET http://example.corp:8080/LiveContent/v2/config/app.skin

Response:

<configitem value="base" name="app.skin"/>